Description

Matt just check the access_log talbe in knb metacat and found there are only 397 insert/update/delete action from 2006 Aug. to now.
We think replication bypasses the access log. If replication calls the main metacat api, the logging would happen automatically.

History

#1 - 04/20/2007 04:10 PM - Jing Tao

Currently, access loging system are called in MetacatServlet class. But replication is happened in MetacatReplication class, so it bypassed the
access log. Now, the access log was added in the class and it works fine to me.

Here are some known problem:

1) Username "replication”, rather than the real username in remote server, will be stored in the access_log table during the replication

2) Remote metacat server ip address, rather than the real user's ip address, will be stored in the access_log table during the replication.

The reason we did this is because this bug doesn't have the highest priority and we try to minimize the modification in dupilication part.

#2 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2818

#3 - 04/09/2013 05:19 PM - ben leinfelder

- Status changed from In Progress to Closed

When documents are inserted or read via replication, this should be logged as the other metacat server so | think this works as desired. There is no
user that should be listed for those events.
